## org.omg.PortableInterceptor
Class PolicyFactoryHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.PolicyFactoryHelper

public class PolicyFactoryHelper
extends java.lang.Object

Helper class for : PolicyFactory

Author:
  OpenORB Compiler

Constructor Summary
`PolicyFactoryHelper()`

Method Summary
`static PolicyFactory` `extract(Any a)` Extract PolicyFactory from an any
`static java.lang.String` `id()` Return the PolicyFactory IDL ID
`static void` `insert(Any a, PolicyFactory t)` Insert PolicyFactory into an any
`static PolicyFactory` `narrow(Object obj)` Narrow CORBA::Object to PolicyFactory
`static PolicyFactory` `read(InputStream istream)` Read PolicyFactory from a marshalled stream
`static TypeCode` `type()` Return the PolicyFactory TypeCode
`static PolicyFactory` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to PolicyFactory
`static void` `write(OutputStream ostream, PolicyFactory value)` Write PolicyFactory into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyFactoryHelper

    public PolicyFactoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PolicyFactory t)

  Insert PolicyFactory into an any
  Parameters:
    `a` - an any
    `t` - PolicyFactory value

### extract

    public static PolicyFactory extract(Any a)

  Extract PolicyFactory from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PolicyFactory value

### type

    public static TypeCode type()

  Return the PolicyFactory TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PolicyFactory IDL ID
  Returns:
    an ID

### read

    public static PolicyFactory read(InputStream istream)

  Read PolicyFactory from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PolicyFactory value

### write

    public static void write(OutputStream ostream,
                             PolicyFactory value)

  Write PolicyFactory into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PolicyFactory value

### narrow

    public static PolicyFactory narrow(Object obj)

  Narrow CORBA::Object to PolicyFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyFactory Object

### unchecked_narrow

    public static PolicyFactory unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to PolicyFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    PolicyFactory Object